package puremvc.app.controller
{
	import org.puremvc.as3.interfaces.INotification;
	import org.puremvc.as3.interfaces.ICommand;
	import puremvc.app.model.MenuProxy;
	import org.puremvc.as3.patterns.command.SimpleCommand;

	
	/**
	 * Commande qui exécute d'autres sous-commandes
	 * 
	 * 
	 * @author matth
	 */
	public class LoadMenuCommand extends SimpleCommand implements ICommand
    {
        private var menuProxy:MenuProxy;
 		
 		/**
 		 * Evènement ApplicationFacade.COMMAND_LOAD_MENU reçu.
 		 * Excécution du code souhaité - chargement des données du model.
 		 * 
 		 */
        override public function execute(notification:INotification):void
        {
			menuProxy = facade.retrieveProxy(MenuProxy.NAME) as MenuProxy;
			menuProxy.load( String( notification.getBody() ) );
        }
 
    }


}
