package puremvc.app.controller
{
	import puremvc.app.model.MenuProxy;
	import org.puremvc.as3.interfaces.INotification;
	import org.puremvc.as3.patterns.command.SimpleCommand;
	
	
	/**
	 * Sous commande pour préparer le Model
	 * 
	 * @author matth
	 */
	public class ModelPrepCommand extends SimpleCommand
    {
    	/**
    	 * Création et enregistrement des proxy nécessaires au démarrage de l'application.
    	 * Appelé par MacroCommand.
    	 * 
    	 */
        override public function execute(note:INotification):void    
        {
            facade.registerProxy(new MenuProxy());
        }
    }

}
